Package Details: vokoscreen 2.9.5.beta-1

Git Clone URL: https://aur.archlinux.org/vokoscreen.git (read-only)
Package Base: vokoscreen
Description: An easy to use screencast creator
Upstream URL: http://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
Keywords: qt5 screencast
Licenses: GPL2
Submitter: mrbit
Maintainer: None
Last Packager: AlfredoRamos
Votes: 90
Popularity: 0.953613
First Submitted: 2013-01-02 17:40
Last Updated: 2018-12-24 19:40

Latest Comments

1 2 3 4 5 6 ... Next › Last »

AlfredoRamos commented on 2019-01-14 08:44

Since I switched to OBS Studio long time ago, I haven't used this application much, besides I don't like the course this project is taking, so I've disowned both packages (vokoscreen and vokoscreen-git) in case that anybody else wants to maintain them.

cjdp commented on 2018-12-21 20:11

I updated the package and now it crashes, I've opened an issue in upstream https://github.com/vkohaupt/vokoscreenNG/issues/3

Elrondo46 commented on 2018-12-21 07:29

@AlfredoRamos Very Thank you, it's great to cooperate to make free software greater and greater :)

AlfredoRamos commented on 2018-12-20 23:59

I don't think reverting would be a good idea, I would need to increment the epoch, and that change is permanent.

You can revert to the previous version (2.5.8.beta) with:

git clone https://aur.archlinux.org/vokoscreen.git
cd vokoscreen
git checkout 17a6052458b7a19c56e9de596b7dc183fd1e172a
makepkg -Ccfsi

I'll look into it and create a patch to try to fix it.

Elrondo46 commented on 2018-12-20 18:02

Last version is hard to use. Hard Buggy, can you revert to last 2.5.x beta ?

But report by me: https://github.com/vkohaupt/vokoscreenNG/issues/2

AlfredoRamos commented on 2017-01-14 00:16

@mitchhentges Yes, It's a harfbuzz issue however I can't reproduce that error.

Try to do a full system upgrade.

mitchhentges commented on 2017-01-14 00:10

Looks like an issue with libharfbuzz and Infinality (not related to vokoscreen at all): https://www.reddit.com/r/archlinux/comments/5mphpu/psa_harfbuzz_update_infinality_breaking_system/

mitchhentges commented on 2017-01-13 23:51

I'm having an issue building vokoscreen:

```
g++ -Wl,-O1 -Wl,-O1,--sort-common,--as-needed,-z,relro -Wl,-rpath-link,/usr/lib -o vokoscreen main.o screencast.o qxtglobal.o qxtwindowsystem_x11.o qxtglobalshortcut_x11.o qxtglobalshortcut.o QvkAlsaWatcher.o QvkAlsaDevice.o alsa_device.o QvkMail.o QvkCapturethread.o QvkWebcamWatcher.o QvkWebcamController.o QvkWebcamWindow.o QvkWebcamBusyDialog.o QvkSettings.o QvkShowkeyGetkey.o QvkShowkeyWindow.o QvkShowkeyController.o QvkGlobalMouse.o QvkAnimateWindow.o QvkAnimateControl.o QvkShowClickDialog.o QvkCircleWidget.o QvkMagnifier.o QvkCredits.o QvkVersion.o QvkWinInfo.o QvkRegionChoise.o QvkRegionRecord.o QvkRegionController.o QvkFormatsAndCodecs.o QvkCountdown.o QvkPulse.o QvkLog.o qrc_screencast.o moc_screencast.o moc_qxtglobalshortcut.o moc_QvkAlsaWatcher.o moc_QvkAlsaDevice.o moc_QvkMail.o moc_QvkCapturethread.o moc_QvkWebcamWatcher.o moc_QvkWebcamController.o moc_QvkWebcamWindow.o moc_QvkWebcamBusyDialog.o moc_QvkSettings.o moc_QvkShowkeyGetkey.o moc_QvkShowkeyWindow.o moc_QvkShowkeyController.o moc_QvkGlobalMouse.o moc_QvkAnimateWindow.o moc_QvkAnimateControl.o moc_QvkShowClickDialog.o moc_QvkCircleWidget.o moc_QvkMagnifier.o moc_QvkCredits.o moc_QvkVersion.o moc_QvkWinInfo.o moc_QvkRegionChoise.o moc_QvkRegionRecord.o moc_QvkRegionController.o moc_QvkFormatsAndCodecs.o moc_QvkCountdown.o moc_QvkPulse.o moc_QvkLog.o -lX11 -lasound -lv4l2 -lv4lconvert -lQt5Widgets -lQt5X11Extras -lQt5Gui -lQt5Network -lQt5Test -lQt5DBus -lQt5Core -lGL -lpthread
/usr/lib/libharfbuzz.so.0: undefined reference to `FT_Get_Var_Blend_Coordinates'
collect2: error: ld returned 1 exit status
make: *** [Makefile:355: vokoscreen] Error 1
```

So, something about `FT_Get_Var_Blend_Coordinates`? Should I just wait for the next beta release, and perhaps the devs will handle this naturally?

AlfredoRamos commented on 2016-09-04 04:10

Well, objdump doesn't show it, so maybe yeah.

petronny commented on 2016-09-04 03:49

I found it by building the package with the command 'extra-x86_64-build'(from package devtools). It will create a new archlinux enviroment with only basic packages installed then chroot into it.

Since the binary doesn't need /usr/lib/libXrandr.so to run, I guess it should be in makedepends.